Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Interface CallSite

    public interface CallSite

Method Summary
`Object` | `call(Object receiver, Object[] args)`
`Object` | `call(Object receiver)`
`Object` | `call(Object receiver, Object arg1)`
`Object` | `call(Object receiver, Object arg1, Object arg2)`
`Object` | `call(Object receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `call(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`Object` | `callConstructor(Object receiver, Object[] args)`
`Object` | `callConstructor(Object receiver)`
`Object` | `callConstructor(Object receiver, Object arg1)`
`Object` | `callConstructor(Object receiver, Object arg1, Object arg2)`
`Object` | `callConstructor(Object receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `callConstructor(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`Object` | `callCurrent(GroovyObject receiver, Object[] args)`
`Object` | `callCurrent(GroovyObject receiver)`
`Object` | `callCurrent(GroovyObject receiver, Object arg1)`
`Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2)`
`Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`Object` | `callGetProperty(Object receiver)`
`Object` | `callGetPropertySafe(Object receiver)`
`Object` | `callGroovyObjectGetProperty(Object receiver)`
`Object` | `callGroovyObjectGetPropertySafe(Object receiver)`
`Object` | `callSafe(Object receiver, Object[] args)`
`Object` | `callSafe(Object receiver)`
`Object` | `callSafe(Object receiver, Object arg1)`
`Object` | `callSafe(Object receiver, Object arg1, Object arg2)`
`Object` | `callSafe(Object receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `callSafe(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`Object` | `callStatic(Class receiver, Object[] args)`
`Object` | `callStatic(Class receiver)`
`Object` | `callStatic(Class receiver, Object arg1)`
`Object` | `callStatic(Class receiver, Object arg1, Object arg2)`
`Object` | `callStatic(Class receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `callStatic(Class receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`CallSiteArray` | `getArray()`
`int` | `getIndex()`
`String` | `getName()`
`Object` | `getProperty(Object receiver)`
`AtomicInteger` | `getUsage()`

Method Detail

### call

    public Object call(Object receiver, Object[] args)

### call

    public Object call(Object receiver)

### call

    public Object call(Object receiver, Object arg1)

### call

    public Object call(Object receiver, Object arg1, Object arg2)

### call

    public Object call(Object receiver, Object arg1, Object arg2, Object arg3)

### call

    public Object call(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

### callConstructor

    public Object callConstructor(Object receiver, Object[] args)

### callConstructor

    public Object callConstructor(Object receiver)

### callConstructor

    public Object callConstructor(Object receiver, Object arg1)

### callConstructor

    public Object callConstructor(Object receiver, Object arg1, Object arg2)

### callConstructor

    public Object callConstructor(Object receiver, Object arg1, Object arg2, Object arg3)

### callConstructor

    public Object callConstructor(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

### callCurrent

    public Object callCurrent(GroovyObject receiver, Object[] args)

### callCurrent

    public Object callCurrent(GroovyObject receiver)

### callCurrent

    public Object callCurrent(GroovyObject receiver, Object arg1)

### callCurrent

    public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2)

### callCurrent

    public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3)

### callCurrent

    public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3, Object arg4)

### callGetProperty

    public Object callGetProperty(Object receiver)

### callGetPropertySafe

    public Object callGetPropertySafe(Object receiver)

### callGroovyObjectGetProperty

    public Object callGroovyObjectGetProperty(Object receiver)

### callGroovyObjectGetPropertySafe

    public Object callGroovyObjectGetPropertySafe(Object receiver)

### callSafe

    public Object callSafe(Object receiver, Object[] args)

### callSafe

    public Object callSafe(Object receiver)

### callSafe

    public Object callSafe(Object receiver, Object arg1)

### callSafe

    public Object callSafe(Object receiver, Object arg1, Object arg2)

### callSafe

    public Object callSafe(Object receiver, Object arg1, Object arg2, Object arg3)

### callSafe

    public Object callSafe(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

### callStatic

    public Object callStatic(Class receiver, Object[] args)

### callStatic

    public Object callStatic(Class receiver)

### callStatic

    public Object callStatic(Class receiver, Object arg1)

### callStatic

    public Object callStatic(Class receiver, Object arg1, Object arg2)

### callStatic

    public Object callStatic(Class receiver, Object arg1, Object arg2, Object arg3)

### callStatic

    public Object callStatic(Class receiver, Object arg1, Object arg2, Object arg3, Object arg4)

### getArray

    public CallSiteArray getArray()

### getIndex

    public int getIndex()

### getName

    public String getName()

### getProperty

    public Object getProperty(Object receiver)

### getUsage

    public AtomicInteger getUsage()

Copyright © 2003-2010 The Codehaus. All rights reserved.